MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FLACMetadataIterator Class Reference

`#include <FlacMetadata.hxx>`

## Public Member Functions
| FLACMetadataIterator ()
| FLACMetadataIterator (FlacMetadataChain &chain)
| ~FLACMetadataIterator ()
bool | Next ()
gcc_pure FLAC__StreamMetadata * | GetBlock ()

## Detailed Description

Definition at line 86 of file FlacMetadata.hxx.

## Constructor & Destructor Documentation

FLACMetadataIterator::FLACMetadataIterator | ( |  | ) |
| inline

Definition at line 90 of file FlacMetadata.hxx.

FLACMetadataIterator::FLACMetadataIterator | ( | FlacMetadataChain & | chain | ) |
| inline

Definition at line 92 of file FlacMetadata.hxx.

FLACMetadataIterator::~FLACMetadataIterator | ( |  | ) |
| inline

Definition at line 98 of file FlacMetadata.hxx.

## Member Function Documentation

gcc_pure FLAC__StreamMetadata* FLACMetadataIterator::GetBlock | ( |  | ) |
| inline

Definition at line 107 of file FlacMetadata.hxx.

bool FLACMetadataIterator::Next | ( |  | ) |
| inline

Definition at line 102 of file FlacMetadata.hxx.

The documentation for this class was generated from the following file:

- decoder/plugins/FlacMetadata.hxx